Bug 479647 - Review Request: perl-Devel-Dumpvar - Pure-OO reimplementation of dumpvar.pl
Review Request: perl-Devel-Dumpvar - Pure-OO reimplementation of dumpvar.pl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 06:07 EST by Marcela Mašláňová
Modified: 2009-01-14 01:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 01:32:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-01-12 06:07:11 EST
Spec URL: http://mmaslano.fedorapeople.org/perl-Devel-Dumpvar/perl-Devel-Dumpvar.spec
SRPM URL: http://mmaslano.fedorapeople.org/perl-Devel-Dumpvar/perl-Devel-Dumpvar-0.04-1.fc10.src.rpm
Description: 
Most perl dumping modules are focused on serializing data structures into
a format that can be rebuilt into the original data structure. They do
this with a variety of different focuses, such as human readability, the
ability to execute the dumped code directly, or to minimize the size of
the dumped data.
Comment 1 Parag AN(पराग) 2009-01-13 02:34:38 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1048777
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
751632a35f17c95c8d31ba2fe5aab44b  Devel-Dumpvar-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=12,  0 wallclock secs ( 0.01 usr  0.01 sys +  0.07 cusr  0.01 csys =  0.10 CPU)
+ Package perl-Devel-Dumpvar-0.04-1.fc11 =>
  Provides: perl(Devel::Dumpvar) = 0.04
  Requires: perl >= 0:5.005 perl(Scalar::Util) perl(UNIVERSAL) perl(strict) perl(vars)

Suggestions:
1) Remove "BuildRequires:  perl >= 0:5.005" from spec as its not needed

APPROVED.
Comment 2 Marcela Mašláňová 2009-01-13 03:12:26 EST
Thank you. It will be changed.
Comment 3 Marcela Mašláňová 2009-01-13 03:14:27 EST
New Package CVS Request
=======================
Package Name: perl-Devel-Dumpvar
Short Description: Pure-OO reimplementation of dumpvar.pl
Owners: mmaslano
Branches: F-10 devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-01-13 15:39:06 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.